public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michael Sterrett" <mr_bones_@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-strategy/s25rttr/
Date: Tue,  3 May 2016 19:57:15 +0000 (UTC)	[thread overview]
Message-ID: <1462305425.baf6a7f2c6be28890e17269527505c8c19c9c764.mr_bones_@gentoo> (raw)

commit:     baf6a7f2c6be28890e17269527505c8c19c9c764
Author:     Michael Sterrett <mr_bones_ <AT> gentoo <DOT> org>
AuthorDate: Tue May  3 19:27:39 2016 +0000
Commit:     Michael Sterrett <mr_bones_ <AT> gentoo <DOT> org>
CommitDate: Tue May  3 19:57:05 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=baf6a7f2

games-strategy/s25rttr: rev bump to remove glfw support since this is the last customer in the tree for glfw-2

Package-Manager: portage-2.2.26

 games-strategy/s25rttr/s25rttr-0.8.1-r2.ebuild | 110 +++++++++++++++++++++++++
 1 file changed, 110 insertions(+)

diff --git a/games-strategy/s25rttr/s25rttr-0.8.1-r2.ebuild b/games-strategy/s25rttr/s25rttr-0.8.1-r2.ebuild
new file mode 100644
index 0000000..b53858b
--- /dev/null
+++ b/games-strategy/s25rttr/s25rttr-0.8.1-r2.ebuild
@@ -0,0 +1,110 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils cmake-utils gnome2-utils games
+
+DESCRIPTION="Open Source remake of The Settlers II game (needs original game files)"
+HOMEPAGE="http://www.siedler25.org/"
+# no upstream source tarball yet
+# https://bugs.launchpad.net/s25rttr/+bug/1069546
+SRC_URI="https://dev.gentoo.org/~hasufell/distfiles/${P}.tar.xz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug"
+
+RDEPEND="app-arch/bzip2
+	media-libs/libsamplerate
+	media-libs/libsdl[X,sound,opengl,video]
+	media-libs/libsndfile
+	media-libs/sdl-mixer[vorbis]
+	net-libs/miniupnpc
+	virtual/libiconv
+	virtual/opengl"
+DEPEND="${RDEPEND}
+	sys-devel/gettext"
+
+src_prepare() {
+	epatch "${FILESDIR}"/${P}-cmake.patch \
+		"${FILESDIR}"/${P}-soundconverter.patch \
+		"${FILESDIR}"/${P}-fpic.patch \
+		"${FILESDIR}"/${P}-format.patch \
+		"${FILESDIR}"/${P}-miniupnpc-api-14.patch \
+		"${FILESDIR}"/${P}-cmake-3.patch
+}
+
+src_configure() {
+	local arch
+	case ${ARCH} in
+		amd64)
+			arch="x86_64" ;;
+		x86)
+			arch="i386" ;;
+		*) die "Architecture ${ARCH} not yet supported" ;;
+	esac
+
+	local mycmakeargs=(
+		-DCOMPILEFOR="linux"
+		-DCOMPILEARCH="${arch}"
+		-DCMAKE_SKIP_RPATH=YES
+		-DPREFIX="${GAMES_PREFIX}"
+		-DBINDIR="${GAMES_BINDIR}"
+		-DDATADIR="${GAMES_DATADIR}"
+		-DLIBDIR="$(games_get_libdir)/${PN}"
+		-DDRIVERDIR="$(games_get_libdir)/${PN}"
+		-DGAMEDIR="~/.${PN}/S2"
+		-DBUILD_GLFW_DRIVER=OFF
+	)
+
+	cmake-utils_src_configure
+}
+
+src_compile() {
+	# work around some relative paths (CMAKE_IN_SOURCE_BUILD not supported)
+	ln -s "${CMAKE_USE_DIR}"/RTTR "${CMAKE_BUILD_DIR}"/RTTR || die
+
+	cmake-utils_src_compile
+
+	mv "${CMAKE_USE_DIR}"/RTTR/{sound-convert,s-c_resample} "${T}"/ || die
+}
+
+src_install() {
+	cd "${CMAKE_BUILD_DIR}" || die
+
+	exeinto "$(games_get_libdir)"/${PN}
+	doexe "${T}"/{sound-convert,s-c_resample}
+	exeinto "$(games_get_libdir)"/${PN}/video
+	doexe driver/video/SDL/src/libvideoSDL.so
+	exeinto "$(games_get_libdir)"/${PN}/audio
+	doexe driver/audio/SDL/src/libaudioSDL.so
+
+	insinto "${GAMES_DATADIR}"
+	doins -r "${CMAKE_USE_DIR}"/RTTR
+	dosym ./LSTS/splash.bmp "${GAMES_DATADIR}"/RTTR/splash.bmp
+
+	doicon -s 64 "${CMAKE_USE_DIR}"/debian/${PN}.png
+	dogamesbin src/s25client
+	make_desktop_entry "s25client" "Settlers RTTR" "${PN}"
+	dodoc RTTR/texte/{keyboardlayout.txt,readme.txt}
+
+	prepgamesdirs
+}
+
+pkg_preinst() {
+	games_pkg_preinst
+	gnome2_icon_savelist
+}
+
+pkg_postinst() {
+	games_pkg_postinst
+	elog "Copy your Settlers2 game files into ~/.${PN}/S2"
+
+	gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+	gnome2_icon_cache_update
+}


             reply	other threads:[~2016-05-03 19:57 UTC|newest]

Thread overview: 25+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-05-03 19:57 Michael Sterrett [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-09-04 12:23 [gentoo-commits] repo/gentoo:master commit in: games-strategy/s25rttr/ David Seifert
2022-06-08 12:21 Jakov Smolić
2022-03-22  9:18 James Le Cuirot
2021-03-26 19:46 Conrad Kostecki
2020-12-03 13:50 Marek Szuba
2020-12-02  1:29 Marek Szuba
2020-09-01  1:46 Sam James
2020-07-30 22:22 James Le Cuirot
2020-07-26 21:19 James Le Cuirot
2020-05-21 11:06 James Le Cuirot
2020-04-19 15:31 James Le Cuirot
2020-04-18 22:30 James Le Cuirot
2019-06-09 13:45 James Le Cuirot
2019-06-09 13:45 James Le Cuirot
2018-05-26  9:55 David Seifert
2018-05-02 19:28 Pacho Ramos
2018-05-02 19:28 Pacho Ramos
2017-10-16  0:08 David Seifert
2017-10-16  0:08 David Seifert
2016-06-18 16:39 Michael Sterrett
2016-06-18 16:39 Michael Sterrett
2016-06-18 16:38 Michael Sterrett
2016-06-06 14:31 Agostino Sarubbo
2016-02-16  1:38 Michael Sterrett

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1462305425.baf6a7f2c6be28890e17269527505c8c19c9c764.mr_bones_@gentoo \
    --to=mr_bones_@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox